DROP TABLE CT_MRDS.A_PROCESS_LOG;
CREATE TABLE CT_MRDS.A_PROCESS_LOG (
    a_process_log_key   NUMBER GENERATED ALWAYS AS IDENTITY PRIMARY KEY,
    guid                    VARCHAR2(32),
    Username	            VARCHAR2(128),
    Osuser	                VARCHAR2(128),
    Machine	                VARCHAR2(64),
    Module	                VARCHAR2(64),
    process_name            VARCHAR2(200),
    procedure_name          VARCHAR2(200),
    procedure_parameters    VARCHAR2(20000),
    log_level               VARCHAR2(10),  -- DEBUG, INFO, WARNING, ERROR
        log_message             VARCHAR2(20000),
        log_timestamp           TIMESTAMP DEFAULT SYSTIMESTAMP
)
PARTITION BY RANGE (log_timestamp)
INTERVAL (NUMTODSINTERVAL(1,'DAY'))
(
    PARTITION p_init VALUES LESS THAN (TIMESTAMP '2025-01-01 00:00:00')
);

/